/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.gm;

/**
 * The <code> GmTag</code> interface contains tags used by group managers.
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.4
 */
interface GMTag
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Message tags
  ////////////////////////////////////////////////////////////////////////////////////////////

  static final byte L_DLVR        = 1;            // Message to deliver
  static final byte L_VIEW        = 2;            // View to install
  static final byte L_PREPARE     = 3;            // Request to prepare view change
  static final byte L_LEAVEACK    = 4;            // Ack to request to leave group
  static final byte L_DSVIEW      = 5;            // Distributed system to install

} // END Tag
