/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.gm;

/**
 * The <code>SynchronizationService</code> class
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.9
 */
public interface      SynchronizationService
{


  /**
   *
   */
  public void disableEvents();

  /**
   *
   */
  public void enableEvents();

  /**
   *
   */
  public void startEvent();

  /**
   *
   */
  public void stopEvent();


} // END SynchronizationService



