/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.mss;

interface MssConstants {


  // Message structure
  static final int HEADER_SIZE   = Header.SIZE;                 // Header size
  static final int TRAILER_SIZE  = 0;                           // Trailer size
  static final int OVERHEAD_SIZE = HEADER_SIZE+TRAILER_SIZE;    // Header + trailer size

  // Routing algorithm definitions
  static final int DELTA_MAX            = 16378;        //
  static final int DELTA_INFINITE       = 32767;        //

  // Routing algorithm initialization
  static final int START_RTT            = 200;
  static final int START_DEV            = 200;
  static final int START_TIMEOUT        = 1000;


} // END MssConstants
