/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.mss;

/**
 * The <code>MssUser</code> interface
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.1
 */
public interface MssUser
{

  void mreceive(byte tag, InMessage msg, MssHost host);

  void lreceive(Upcall upcall);

  void suspect(MssHost[] rset, MssHost[] nrset, MssHost[] nuset, MssHost newinc);

}

