/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESSS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package test.jini;

import java.util.*;

import net.jini.core.lookup.ServiceTemplate;
import net.jini.core.entry.Entry;
import jgroup.jini.GroupEntry;
import jgroup.jini.LookupManager;


/**
 *
 * @author  Alberto Montresor
 * @since   Jgroup 1.1
 */
public class LookupClient
{

  public static void main(String[] args)
    throws Exception
  {
    Class[] types = new Class[] { Hello.class };
    Entry[] entries = new Entry[] { new GroupEntry("HelloServer") };
    ServiceTemplate template = new ServiceTemplate(null, types, entries);
		Hello server = (Hello) LookupManager.lookup(template);
    System.out.println(server.sayHello());
  }

} // END LookupClient

